Package Details: python2-mako 1.1.6-2

Git Clone URL: https://aur.archlinux.org/python2-mako.git (read-only, click to copy)
Package Base: python2-mako
Description: A fast templating language that borrows the best ideas from other templating languages
Upstream URL: https://pypi.org/project/Mako/1.1.6/
Keywords: template templating
Licenses: MIT
Submitter: xiretza
Maintainer: MarsSeed
Last Packager: MarsSeed
Votes: 1
Popularity: 0.000000
First Submitted: 2020-05-23 12:05 (UTC)
Last Updated: 2022-07-02 12:00 (UTC)

Latest Comments

jkhsjdhjs commented on 2022-11-16 00:08 (UTC)

@MarsSeed Can you change python setup.py build to use python2 instead of python, which defaults to python3? The package doesn't build in its current state. Thanks!

langfingaz commented on 2022-06-12 10:47 (UTC) (edited on 2022-06-12 10:47 (UTC) by langfingaz)

v1.1.6 (Nov 17, 2021) is the last release for Python 2. I did not find existing AUR-packages for the dependencies MarkupSafe and lingua. I am therefore disowning this package.

gnaggnoyil commented on 2022-01-23 07:30 (UTC)

The "python2-markupsafe" dependency is missing. What was happening here?

benibilme commented on 2021-09-13 21:26 (UTC)

Hello,

I am receiving following error with this library.

To build (6):
  python2-mako        1.1.5-1              (1.1.2-1)                             AUR
  python2-pynacl-git  1.4.0.r31.f6c17a3-1                                        AUR
  python2-paramiko    2.7.2-1              (2.7.1-1)                             AUR
  python2-simplejson  3.17.5-1             (3.17.2-3)                            AUR
  ssmtp               2.64-16              (2.64-11)                             AUR
  python2-hupper      1.9.1-1                                                    AUR
To remove (1):
  python2-pynacl      1.3.0-3              (Conflicts With: python2-pynacl-git)  

Total removed size: 648.0 kB

Edit build files : [e] 
Apply transaction ? [e/y/N] y


Building python2-mako...
Running as unit: run-u32.service
Press ^] three times within 1s to disconnect TTY.
==> Making package: python2-mako 1.1.5-1 (Tue 14 Sep 2021 12:15:11 AM +03)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
  -> Found Mako-1.1.5.tar.gz
  -> Found Mako-1.1.5.tar.gz.asc
==> Validating source files with sha512sums...
    Mako-1.1.5.tar.gz ... Passed
    Mako-1.1.5.tar.gz.asc ... Skipped
==> Verifying source file signatures with gpg...
    Mako-1.1.5.tar.gz ... cat: write error: Broken pipe
FAILED
==> ERROR: One or more PGP signatures could not be verified!
Finished with result: exit-code
Main processes terminated with: code=exited/status=1
Service runtime: 804ms
CPU time consumed: 793ms
Error: Failed to build python2-mako

langfingaz commented on 2021-09-10 21:09 (UTC)

Hey there! I have adopted and updated this package. But neither did I test it nor am I into Mako. So If anyone is interested in maintaining or co-maintainig it, feel free to contact me.

luntik2012 commented on 2020-12-01 17:02 (UTC) (edited on 2020-12-01 17:08 (UTC) by luntik2012)

@weinfurt, how? what did you do?

It worked only after this for me

wget https://raw.githubusercontent.com/clearlinux-pkgs/dogpile.core/master/330239C1C4DAFEE1.pkey

gpg --import 330239C1C4DAFEE1.pkey

weinfurt commented on 2020-05-27 06:34 (UTC)

@xiretza: Thanks, that solved my issue.

xiretza commented on 2020-05-26 11:36 (UTC)

@weinfurt: https://wiki.archlinux.org/index.php/Arch_User_Repository#ERROR:_One_or_more_PGP_signatures_could_not_be_verified!;_what_should_I_do?

weinfurt commented on 2020-05-26 07:00 (UTC) (edited on 2020-05-26 07:05 (UTC) by weinfurt)

Installation does not work for me. I am getting following output: ==> Validating source files with sha512sums... Mako-1.1.2.tar.gz ... Passed Mako-1.1.2.tar.gz.asc ... Skipped ==> Verifying source file signatures with gpg... Mako-1.1.2.tar.gz ... FAILED (unknown public key 330239C1C4DAFEE1) ==> ERROR: One or more PGP signatures could not be verified!